# utm_network_interface_address – Create, update or destroy network/interface_address object

New in version 2.8.

- Synopsis
- Parameters
- Examples
- Return Values
- Status

## Synopsis

- Create, update or destroy a network/interface_address object in SOPHOS UTM.
- This module needs to have the REST Ability of the UTM to be activated.

## Parameters

Parameter | Choices/Defaults | Comments
--- | --- | ---
address - / required |  | The ip4 address of the network/interface_address object.
address6 - |  | The ip6 address of the network/interface_address object.
comment - |  | An optional comment to add to the object
headers dictionary |  | A dictionary of additional headers to be sent to POST and PUT requests. Is needed for some modules
name - / required |  | The name of the object. Will be used to identify the entry
resolved - |  | Whether or not the object is resolved
resolved6 - |  | Whether or not the object is resolved

state
string

Choices:
- absent
- present ←

The desired state of the object.
`present` will create or update an object
`absent` will delete an object if it was present

utm_host string / required |  | The REST Endpoint of the Sophos UTM.
utm_port integer | Default: 4444 | The port of the REST interface.

utm_protocol
string

Choices:
- http
- https ←

The protocol of the REST Endpoint.

utm_token string / required |  | The token used to identify at the REST-API. See https://www.sophos.com/en-us/medialibrary/PDFs/documentation/UTMonAWS/Sophos-UTM-RESTful-API.pdf?la=en, Chapter 2.4.2.

validate_certs
boolean

Choices:
- no
- yes ←

Whether the REST interface's ssl certificate should be verified or not.

## Examples

    # Create a network interface address
    - name: utm network interface address
      utm_proxy_backend:
        utm_host: sophos.host.name
        utm_token: abcdefghijklmno1234
        name: TestNetworkInterfaceAddress
        address: 0.0.0.0
        state: present

    # Remove a network interface address
    - name: utm network interface address
      network_interface_address:
        utm_host: sophos.host.name
        utm_token: abcdefghijklmno1234
        name: TestNetworkInterfaceAddress
        address: 0.0.0.0
        state: absent

## Return Values

Common return values are documented here, the following are the fields unique to this module:

Key | Returned | Description
--- | --- | ---
result complex | success | The utm object that was created
| _locked boolean |  | Whether or not the object is currently locked
| _ref string |  | The reference name of the object
| _type string |  | The type of the object
| address string |  | The ip4 address of the network/interface_address object
| address6 string |  | The ip6 address of the network/interface_address object
| comment string |  | The comment string
| name string |  | The name of the object
| resolved boolean |  | Whether or not the object is resolved
| resolved6 boolean |  | Whether or not the object is resolved

## Status

- This module is not guaranteed to have a backwards compatible interface. [preview]
- This module is maintained by the Ansible Community. [community]

### Authors

- Juergen Wiebe (@steamx)

Hint

If you notice any issues in this documentation, you can edit this document to improve it.